Bug 3282 - [UPDATE REQUEST] [UPSTREAM UPDATE] qemu-kvm
: [UPDATE REQUEST] [UPSTREAM UPDATE] qemu-kvm
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:45 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:34 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:45:05 MSK
* Previously, smart card emulation with a Microsoft Windows guest in versions
XP, 2003 and 7 failed due to inconsistent Answer To Reset (ATR) file length with
a smart card I/0 device error. This update creates an ATR file length with
appropriate historical bytes, and disables USB signaling when necessary. Now,
smart card emulation is possible, and failures no longer occur in the
aforementioned scenario.

* When using KVM, the page_l1_map() function is expected to return NULL for all
addresses, since it is essentially used for tracking information only relevant
to qemu's dynamic translation. Prior to this update, if the given page index was
outside the range covered by the l1_map(), which is 2^20 pages / 4G of memory,
the test had an off-by-one error, using the "greater-than" sign (>) instead of
"greater-than or equal to" sign (>=). Consequently, calling page_l1_map(1 << 20)
accessed beyond the end of the l1_map array, leading to segmentation faults or
other problems. With this update, the page_l1_map() function works correctly in
the aforementioned scenario.

http://rhn.redhat.com/errata/RHBA-2013-1401.html

https://abf.rosalinux.ru/build_lists/1391121
https://abf.rosalinux.ru/build_lists/1391122
Comment 1 Vladimir Potapov 2013-12-06 11:14:54 MSK
qemu-kvm-0.12.1.2-2.355.res6.9
**************************** RHEL Advisory **********************
* Previously, smart card emulation with a Microsoft Windows guest in versions
XP, 2003 and 7 failed due to inconsistent Answer To Reset (ATR) file length with
a smart card I/0 device error. This update creates an ATR file length with
appropriate historical bytes, and disables USB signaling when necessary. Now,
smart card emulation is possible, and failures no longer occur in the
aforementioned scenario.

* When using KVM, the page_l1_map() function is expected to return NULL for all
addresses, since it is essentially used for tracking information only relevant
to qemu's dynamic translation. Prior to this update, if the given page index was
outside the range covered by the l1_map(), which is 2^20 pages / 4G of memory,
the test had an off-by-one error, using the "greater-than" sign (>) instead of
"greater-than or equal to" sign (>=). Consequently, calling page_l1_map(1 << 20)
accessed beyond the end of the l1_map array, leading to segmentation faults or
other problems. With this update, the page_l1_map() function works correctly in
the aforementioned scenario.
****************************************************************
QA Verified